stages:
  - publish

publish:
  image: node:16.14.0
  stage: publish
  variables:
    SILENT: 'true'
  rules:
    - if: $CI_COMMIT_TAG =~ /^\d+\.\d+\.\d+$/
  before_script:
    - curl --location --output /usr/local/bin/release-cli "https://gitlab.com/gitlab-org/release-cli/-/releases/v0.11.0/downloads/bin/release-cli-linux-amd64" && chmod +x /usr/local/bin/release-cli
  script:
    - export "CHANGELOG=$(cat ./CHANGELOG.md)"
    - ./ci/package.sh "./arsenal.tgz"
  artifacts:
    paths:
      - ./arsenal.tgz
  release:
    name: '$CI_COMMIT_TAG'
    description: '$CHANGELOG'
    tag_name: '$CI_COMMIT_TAG'
    ref: '$CI_COMMIT_TAG'
    milestones: []
    assets:
      links:
        - name: arsenal
          url: "https://gitlab.com/effiscience/opensource/arsenal/-/jobs/artifacts/$CI_COMMIT_TAG/raw/arsenal.tgz?job=publish"
